package domain


type AlibabaTclsAelophyBillDailyQueryBillDailyQueryRequest struct {
    /*
        当前页码，从1开始 defalutValue:1    */
    Current  *int64 `json:"current,omitempty" `

    /*
        页大小 defalutValue:20    */
    PageSize  *int64 `json:"page_size,omitempty" `

    /*
        经营店ID     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        账单开始时间，默认系统时间前一天     */
    BillStartDate  *int64 `json:"bill_start_date,omitempty" `

    /*
        账单结束时间，默认系统时间前一天     */
    BillEndDate  *int64 `json:"bill_end_date,omitempty" `

}

func (s *AlibabaTclsAelophyBillDailyQueryBillDailyQueryRequest) SetCurrent(v int64) *AlibabaTclsAelophyBillDailyQueryBillDailyQueryRequest {
    s.Current = &v
    return s
}
func (s *AlibabaTclsAelophyBillDailyQueryBillDailyQueryRequest) SetPageSize(v int64) *AlibabaTclsAelophyBillDailyQueryBillDailyQueryRequest {
    s.PageSize = &v
    return s
}
func (s *AlibabaTclsAelophyBillDailyQueryBillDailyQueryRequest) SetStoreId(v string) *AlibabaTclsAelophyBillDailyQueryBillDailyQueryRequest {
    s.StoreId = &v
    return s
}
func (s *AlibabaTclsAelophyBillDailyQueryBillDailyQueryRequest) SetBillStartDate(v int64) *AlibabaTclsAelophyBillDailyQueryBillDailyQueryRequest {
    s.BillStartDate = &v
    return s
}
func (s *AlibabaTclsAelophyBillDailyQueryBillDailyQueryRequest) SetBillEndDate(v int64) *AlibabaTclsAelophyBillDailyQueryBillDailyQueryRequest {
    s.BillEndDate = &v
    return s
}
